Bug 47943 - python21 patch to increase the default thread stack size.
Summary: python21 patch to increase the default thread stack size.
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-02-05 09:10 UTC by Alex Rodioukov
Modified: 2003-02-06 16:46 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (598 bytes, patch)
2003-02-05 09:10 UTC, Alex Rodioukov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alex Rodioukov 2003-02-05 09:10:11 UTC
Included patch written by PieterB fixes an issue with Zope/ZWiki often 
crashing with SIGBUS/SIGSEGV. I've tested it myself on 4-stable and it
seems to fix the problem.

Following URLs include more information:

http://collector.zope.org/Zope/560
http://zwiki.org/IssueNo0226
Comment 1 Alan Eldridge freebsd_committer 2003-02-05 12:57:28 UTC
State Changed
From-To: open->closed

Zope uses Python 2.2 now.
Comment 2 Alan Eldridge 2003-02-05 21:22:36 UTC
On Wed, Feb 05, 2003 at 01:36:28PM -0700, Alex Rodioukov wrote:
>On Wed, 2003-02-05 at 05:57, Alan Eldridge wrote:
>> Synopsis: python21 patch to increase the default thread stack size.
>> 
>> State-Changed-From-To: open->closed
>> State-Changed-By: alane
>> State-Changed-When: Wed Feb 5 04:57:28 PST 2003
>> State-Changed-Why: 
>> Zope uses Python 2.2 now.
>> 
>> http://www.freebsd.org/cgi/query-pr.cgi?pr=47943
>
>Alan,
>
>Your statement is not true. Zope 2.x *requires* Python 2.1.x. From
>README.txt for 2.6.0 (current Zope stable version, also in ports):
>
>Important notes
>
>   ZOPE 2.6 REQUIRES PYTHON 2.1.X!
>
>   Note: Using Python 2.2 is not recommended and not supported.
>

I'll admit it, I was lax when I patched it (from a submitted patch).

If this patch is officially recommended by Zope, I will apply it.
In either event, I will change the Makefile for the Zope port so 
that it once again requires Python 2.1.x. I'm sorry about that
oversight.

If the patch is not recommended by Zope itself, then I'll have to
think about how to handle this. Python is a large and complex program,
and a patch that changes functionality is not to be taken lightly.

-- 
AlanE (Alan Eldridge)
Unix/C(++) IT Pro for 20 yrs, likes fixing weird distributed systems bugs.
KDE, KDE-FreeBSD Teams (http://www.kde.org, http://freebsd.kde.org/)
Comment 3 Alan Eldridge freebsd_committer 2003-02-05 21:59:16 UTC
State Changed
From-To: closed->open

Re-open for investigation. Closing was my error.
Comment 4 Alex Rodioukov 2003-02-06 08:55:22 UTC
On Wed, 2003-02-05 at 14:22, AlanE wrote:

> I'll admit it, I was lax when I patched it (from a submitted patch).
> 
> If this patch is officially recommended by Zope, I will apply it.
> In either event, I will change the Makefile for the Zope port so 
> that it once again requires Python 2.1.x. I'm sorry about that
> oversight.


:))

You might want to check the links I've supplied with the PR. My
understating is that the problem the patch fixes is with default small
per-thread stack size allocated by Python on FreeBSD, which under some
conditions causes Python process to SIGSEGV. I've encountered it with
Zope under heavy loads. Another example is ZWiki. Many people were
bitten by it, see:

http://mail.zope.org/pipermail/zope/2002-October/124391.html
http://lists.imeme.net/archives/imeme-users/2002-January/000725.html

> If the patch is not recommended by Zope itself, then I'll have to
> think about how to handle this. Python is a large and complex program,
> and a patch that changes functionality is not to be taken lightly.


Certainly so. I would encourage you to do the research yourself. Let me
know if you'll need any help.

Regards,
  Alex.
Comment 5 Alan Eldridge freebsd_committer 2003-02-06 16:46:21 UTC
State Changed
From-To: open->closed

fixed